Bug 392881 - not able to add bridged network card via addhardware
not able to add bridged network card via addhardware
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 430926
  Show dependency treegraph
 
Reported: 2007-11-20 14:40 EST by Jan Hutař
Modified: 2008-11-26 10:30 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 10:30:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2007-11-20 14:40:52 EST
Description of problem:
I'm not able to add virtual bridged network card. Traceback pops up.


Version-Release number of selected component (if applicable):
virt-manager-0.5.2-2.fc8
libvirt-0.3.3-2.fc8


How reproducible:
always


Steps to Reproduce:
1. # brctl addbr br0
2. # brctl addif br0 eth0
3. Details > Add network card > Shared physical device > select only one 
possible there


Actual results:
GUI shows traceback, this traceback is also on the command line, virt-manager 
starts to generate also this "libvir: QEMU chyba : TAP bridge path 'eth0 
(Bridge br0)' is too long" on the command line.


Expected results:
Virtual card is created


Additional info:

Traceback in the GUI:

Unable to complete install '<class 'libvirt.libvirtError'> virDomainDefineXML() 
failed TAP bridge path 'eth0 (Bridge br0)' is too long
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 530, in 
add_device
    self.vm.add_device(xml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 690, in add_device
    self.get_connection().define_domain(newxml)
  File "/usr/share/virt-manager/virtManager/connection.py", line 445, in 
define_domain
    self.vmm.defineXML(xml)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 589, in defineXML
    if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
libvirtError: virDomainDefineXML() failed TAP bridge path 'eth0 (Bridge br0)' 
is too long
'

Traceback in the command line:

Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve 
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value 
"((GString*) 0x12bb6e0)" of type `GString'
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 649, in 
change_graphics_type
    graphics = self.get_config_graphics()
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 279, in 
get_config_graphics
    return type.get_model().get_value(type.get_active_iter(), 1)
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 649, in 
change_graphics_type
    graphics = self.get_config_graphics()
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 279, in 
get_config_graphics
    return type.get_model().get_value(type.get_active_iter(), 1)
TypeError: iter must be a GtkTreeIter
libvir: QEMU chyba : TAP bridge path 'eth0 (Bridge br0)' is too long
libvir: QEMU chyba : TAP bridge path 'eth0 (Bridge br0)' is too long
libvir: QEMU chyba : TAP bridge path 'eth0 (Bridge br0)' is too long

I'm not sure that this is not my fault (bad bridge set-up), but I think virt-
manager should provide some error message instead of the traceback.
Comment 1 Daniel Berrange 2008-01-11 00:28:47 EST
This was a bug in virt-manager - it was getting the drop down list label vs
bridge device name mixed up :-( Will be fixed in next update
Comment 2 Fedora Update System 2008-01-11 17:23:43 EST
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'
Comment 3 Fedora Update System 2008-01-22 10:52:25 EST
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Cole Robinson 2008-01-30 11:03:15 EST
Unfortunately this bug existed in two places, and we only fixed the one for
creating a guest. This one applies to the addhardware wizard. Reopening.
Comment 6 Bug Zapper 2008-11-26 03:37:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Cole Robinson 2008-11-26 10:30:47 EST
This won't be fixed for F8, but is already fixed in F9, so closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.